Skip to main content
GET
List cluster parameters

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

Response

Returns cluster parameters

name
string
required

The name of the parameter

display_name
string
required

The display name of the parameter

namespace
enum<string>
required

The namespace of the parameter

Available options:
patroni,
pgconf,
pgbouncer
advanced
boolean
required

Whether the parameter is advanced

category
string | null
required

The category of the parameter

description
string
required

The description of the parameter

parameter_type
enum<string>
required

The type of the parameter

Available options:
array,
boolean,
bytes,
float,
integer,
seconds,
select,
string,
time
default_value
string | null
required

The default value of the parameter

requires_update
enum<string> | null
required

The update required before the parameter can be configured

Available options:
cluster
value
string | null
required

The configured value of the parameter

required
boolean
required

Whether the parameter is required

created_at
string | null
required

When the parameter was created

updated_at
string | null
required

When the parameter was last updated

restart
boolean
required

Whether processes require a server restart after the parameter changes

url
string
required

The URL of the parameter

actor
object
required
id
string | null

The ID of the parameter

disabled_reason
string | null

Why the parameter cannot be changed

max
number | null

The maximum value of the parameter

min
number | null

The minimum value of the parameter

options
string[] | null

Valid options for the parameter value. Null represents an unset value

units
string[] | null

The units of the parameter value